local Gamestate = require('lib.hump.gamestate')

function love.load()
   love.graphics.setDefaultFilter( 'nearest', 'nearest' )
   
   Gamestate.switch(require('state.game'))
   Gamestate.load()
end


function love.update(dt)
   Gamestate.update(dt)
end


function love.draw()
   Gamestate.draw()
end


function love.keypressed(key, code)
   Gamestate.keypressed(key)
end

function love.keyreleased(key, code)
   Gamestate.keyreleased(key)
end