local Class = require('lib.hump.class')

Ground = Class{}

function Ground:init(world, x, y, w, h)
   self.world = world
   self.posX = x
   self.posY = y
   self.w = w
   self.h = h

   self.collider = world:newRectangleCollider(self.posX, self.posY, self.w, self.h, {body_type = 'static'})
end

function Ground:update(dt)

end

function Ground:draw()
   love.graphics.setColor(255, 0, 0, 155)
   love.graphics.rectangle('fill', self.posX, self.posY, self.w, self.h)
   love.graphics.setColor(255, 255, 255)
end

return Ground