local Class = require('lib.hump.class')

Platform = Class{}

function Platform:init(world, x, y, w, h)
   self.world = world
   self.lw = lw
   self.posX = x
   self.posY = y
   self.w = w
   self.h = h

   self.world:addCollisionClass('Platform')

   self.collider = world:newRectangleCollider(self.posX, self.posY, self.w, self.h, {body_type = 'static', collision_class = 'Platform'})
end

function Platform:update(dt)

end

function Platform:draw()
   love.graphics.setColor(0, 255, 255, 155)
   love.graphics.rectangle('fill', self.posX, self.posY, self.w, self.h)
   love.graphics.setColor(255, 255, 255)
end

return Platform